<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Dashboard</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
  <link rel="stylesheet" href="dashboard.component.css">
</head>
<body>
  <div class="d-flex flex-grow-1">
    <nav class="col-md-3 vertical-nav bg-dark text-white">
      <ul class="nav-menu list-unstyled">
        <li class="nav-item">
          <a class="nav-link active" href="">
            <i class="fa fa-home"></i> Dashboard
          </a>
        </li>
        <li class="nav-item">
          <a class="btn btn-primary mt-2" href="transaccion">
            <i class="fa fa-file-text"></i> Movimientos Procesados
          </a>
        </li>
        <li class="nav-item">
          <a class="btn btn-primary mt-4" href="#">
            <i class="fa fa-search"></i> Transacciones por Codigo Respuesta
          </a>
        </li>

        <li class="nav-item">
          <a class="btn btn-danger mt-3" href="/login">
            <i class="fa fa-file-text"></i> Busqueda de Compromisos por Rif
          </a>
        </li>


        <li class="nav-item">
          <a class="btn btn-primary mt-5" href="cierres-generales">
            <i class="fa fa-file-text"></i> Cierres Generales por Banco
          </a>
        </li>

        <li class="nav-item">
          <a class="btn btn-primary mt-3" href="/login">
            <i class="fa fa-file-text"></i> Configuracion
          </a>
        </li>

   
        <li class="nav-item">
          <a class="nav-link" href="/login">
            <i class="fa fa-file-text"></i> Inicio
          </a>
        </li>
      </ul>
    </nav>

    <div class="col-md-9 main-content p-4">
      <div class="row">
        <div class="col-md-12">
          <div class="card styled-card-body">
            <div class="card-header bg-dark text-white">
              <h2 class="text-white mb-2">Monitor Reversos Tecnicos</h2>
            </div>
            <div class="card-body white-text">
              <table class="table table-striped">
              <table class="table table-striped">
                <thead>
                  <tr class="text-white">
                    <th scope="col">id_transaccion</th>
                    <th scope="col">banco</th>
                    <th scope="col">rif</th>
                    <th scope="col">periodo</th>
                    <th scope="col">monto</th>
                    <th scope="col">codigo_procesada</th>
                    <th scope="col">nro_documento</th>
                    <th scope="col">forma_documento</th>
                    <th scope="col">id_usuario</th>
                    <th scope="col">agencia</th>
                    <th scope="col">tipo_transaccion</th>
                    <th scope="col">fecha_transaccion</th>
                    <th>Acciones</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let transaccions of transaccion">
                    <td>{{transaccions.id_transaccion}}</td>
                    <td>{{transaccions.banco}}</td>
                    <td>{{transaccions.rif}}</td>
                    <td>{{transaccions.periodo}}</td>
                    <td>{{transaccions.monto}}</td>
                    <td>{{transaccions.codigo_procesada}}</td>
                    <td>{{transaccions.nro_documento}}</td>
                    <td>{{transaccions.forma_documento}}</td>
                    <td>{{transaccions.id_usuario}}</td>
                    <td>{{transaccions.agencia}}</td>
                    <td>{{transaccions.tipo_transaccion}}</td>
                    <td>{{transaccions.fecha_transaccion}}</td>
                    <td>
                      <button class="btn btn-sm btn-info" (click)="obtenerListaDeTransaccions(transaccions)">Ver Detalle</button>                      
                    </td>
                  </tr>
                </tbody>
              </table>
              </table>
            </div>
          </div>

          <div class="row mt-4">
            <div class="col-md-12">
              <h2 class="text-primary mb-2">Monitor Transaccion Procesadas</h2>
            </div>
            <div class="col-md-12">
              <table class="table table-striped table-bordered">
                <table class="table table-striped table-bordered">
                  <thead>
                    <tr class="text-white">
                      <th scope="col">id_transaccion</th>
                        <th scope="col">banco</th>
                        <th scope="col">rif</th>
                        <th scope="col">periodo</th>
                        <th scope="col">monto</th>
                        <th scope="col">codigo_procesada</th>
                        <th scope="col">nro_documento</th>
                        <th scope="col">forma_documento</th>
                        <th scope="col">id_usuario</th>
                        <th scope="col">agencia</th>
                        <th scope="col">tipo_transaccion</th>
                        <th scope="col">fecha_transaccion</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let transaccions of transaccion">
                      <td>{{transaccions.id_transaccion}}</td>
                      <td>{{transaccions.banco}}</td>
                      <td>{{transaccions.rif}}</td>
                      <td>{{transaccions.periodo}}</td>
                      <td>{{transaccions.monto}}</td>
                      <td>{{transaccions.codigo_procesada}}</td>
                      <td>{{transaccions.nro_documento}}</td>
                      <td>{{transaccions.forma_documento}}</td>
                      <td>{{transaccions.id_usuario}}</td>
                      <td>{{transaccions.agencia}}</td>
                      <td>{{transaccions.tipo_transaccion}}</td>
                      <td>{{transaccions.fecha_transaccion}}</td>
                      <td>
                        <button class="btn btn-sm btn-info" (click)="obtenerListaDeTransaccions(transaccions)">Ver Detalle</button>                        
                      </td>
                    </tr>
                  </tbody>
                </table>
                </table>
            </div>
            </div>
          </div>

          <div class="row mt-4">
            <div class="col-md-12">
              <h2 class="text-primary mb-2">Monitor Cierres</h2>
            </div>
            <div class="col-md-12">
              <div class="col-md-12">
                <table class="table table-striped table-bordered">
                  <table class="table table-striped table-bordered">
                    <thead>
                      <tr class="text-white">
                        <th scope="col">id_transaccion</th>
                        <th scope="col">banco</th>
                        <th scope="col">rif</th>
                        <th scope="col">periodo</th>
                        <th scope="col">monto</th>
                        <th scope="col">codigo_procesada</th>
                        <th scope="col">nro_documento</th>
                        <th scope="col">forma_documento</th>
                        <th scope="col">id_usuario</th>
                        <th scope="col">agencia</th>
                        <th scope="col">tipo_transaccion</th>
                        <th scope="col">fecha_transaccion</th>
                        <th>Acciones</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let transaccions of transaccion">
                        <td>{{transaccions.id_transaccion}}</td>
                        <td>{{transaccions.banco}}</td>
                        <td>{{transaccions.rif}}</td>
                        <td>{{transaccions.periodo}}</td>
                        <td>{{transaccions.monto}}</td>
                        <td>{{transaccions.codigo_procesada}}</td>
                        <td>{{transaccions.nro_documento}}</td>
                        <td>{{transaccions.forma_documento}}</td>
                        <td>{{transaccions.id_usuario}}</td>
                        <td>{{transaccions.agencia}}</td>
                        <td>{{transaccions.tipo_transaccion}}</td>
                        <td>{{transaccions.fecha_transaccion}}</td>
                        <td>
                          <button class="btn btn-sm btn-info" (click)="obtenerListaDeTransaccions(transaccions)">Ver Detalle</button>                      
                        </td>
                      </tr>
                    </tbody>
                  </table>
                  </table>
              </div>
            </div>

          <div class="row mt-4">
            <div class="col-md-12">
              <h2 class="text-primary mb-2">Monitor Transacciones</h2>
            </div>
            <div class="col-md-12">
              <table class="table table-striped table-bordered">
                </table>
            </div>
          </div>

          <div class="card mt-4 styled-card-body">
            <div class="card-header bg-dark text-white">
              <h5 class="card-title">Información Adicional</h5>
            </div>
            <div class="card-body black-text">
              <ul class="list-unstyled" class="text-white">
                <li>Total de Reversos:</li>
                <li>Monto Total:</li>
                <li>Fecha de Último Reverso:</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
</html>
<router-outlet></router-outlet>